/*
 * Glue code to use NetBSD pool(9) functions.
 */
#include <sys/param.h>
#include <sys/lock.h>
#include <sys/mutex.h>

#include "pf_support.h"

/*
 * mutxes
 */
struct mtx pf_status_mtx;
struct mtx pf_rule_mtx;
struct mtx pf_ticket_mtx;

void
init_pf_mutex(void)
{
	mtx_init(&pf_status_mtx, "pf status mtx", NULL, MTX_DEF);
	mtx_init(&pf_rule_mtx, "pf rule mtx", NULL, MTX_DEF);
	mtx_init(&pf_ticket_mtx, "pf ticket mtx", NULL, MTX_DEF);
}

void
destroy_pf_mutex(void)
{
	mtx_destroy(&pf_status_mtx);
	mtx_destroy(&pf_rule_mtx);
	mtx_destroy(&pf_ticket_mtx);
}
