#include <sys/param.h>
#include <netinet/in.h>
#include <netinet/ip_var.h>

/*
 * additional packet tag types
 * Original numbers changed from 11, 12, 13.
 * sys/mbuf.h
 */
#define PACKET_TAG_PF_GENERATED		19 /* PF generated, pass always */
#define PACKET_TAG_PF_ROUTED		20 /* PF routed, no route loops */
#define PACKET_TAG_PF_FRAGCACHE		21 /* PF fragment cached */

/*
 * sys/endian.h
 */
#define NTOHL(x) (x) = ntohl((u_int32_t)(x))
#define NTOHS(x) (x) = ntohs((u_int16_t)(x))
#define HTONL(x) (x) = htonl((u_int32_t)(x))
#define HTONS(x) (x) = htons((u_int16_t)(x))

/*
 * sys/limits.h
 */
#define UID_MAX	UINT_MAX	/* max value for a uid_t */
#define GID_MAX UINT_MAX	/* max value for a gid_t */

#ifndef MAX
#define MAX(a,b) (((a)>(b))?(a):(b))
#endif

#define splsoftnet()	splnet()

/*
 * not prototyped in netinet/ip_var.h even if it is not static!!
 */
extern int ip_optcopy(struct ip *, struct ip *);


extern struct mtx pf_status_mtx;
extern struct mtx pf_rule_mtx;
extern struct mtx pf_ticket_mtx;

extern void init_pf_mutex(void);
extern void destroy_pf_mutex(void);

#define PF_MODVER	1
#define PFLOG_MODVER	1

#define PFLOG_MINVER	1
#define PFLOG_PREFVER	PFLOG_MODVER
#define PFLOG_MAXVER	1
